Bug 109488 - Installer does not allow selection of individual packages
Installer does not allow selection of individual packages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-08 08:31 EST by Victor Stanescu
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-08 15:41:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Stanescu 2003-11-08 08:31:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
The Redhat installer allowed the selection if individual packages. 
Thus, a normal user would install default groups, but a power 
user/system administrator would install only the minimal and then 
refine the selection by choosing individual packages.The "good" 
behaviour would show in the individual packages screen the packages 
selected at the previous (group selection) screen, and then allow to 
add/remove rpms. The Fedora installer is not showing the "Select 
individual packages" option, so this tuning of the system is not 
possible.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot Fedora CD
2.Step through the installation
3.Look at the "Select what to install" screen    

Actual Results:  There is no "select individual packages"

Expected Results:  Select "Minimal install", "Select individual 
packages", tune my installation to my specific needs, check for 
dependencies (normally I select what I need - programs and devel - , 
and let the installer add the required libraries and other 
dependencies.

Additional info:
Comment 1 Jeremy Katz 2003-11-08 15:41:29 EST
This was not rewritten intentionally after a rewrite of some of the
backend package handling code.   The installer will get you a basic
system up and running after which you can tweak the full package list
as you want to.   Unfortunately, the bit to get the invididual package
selection in redhat-config-packages didn't quite happen this time
around, hopefully for next time.
Comment 2 Bart Martens 2004-02-29 04:06:53 EST
Also see the "wontfix" bug #91716.

Note You need to log in before you can comment on or make changes to this bug.